# Uses of Class
java.nio.channels.FileLock

Packages that use FileLock
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.

## Uses of FileLock in java.nio.channels

Methods in java.nio.channels that return FileLock
Modifier and Type
Method
Description
`final FileLock`
FileChannel.`lock()`
Acquires an exclusive lock on this channel's file.
`abstract FileLock`
FileChannel.`lock(long position, long size, boolean shared)`
Acquires a lock on the given region of this channel's file.
`final FileLock`
AsynchronousFileChannel.`tryLock()`
Attempts to acquire an exclusive lock on this channel's file.
`abstract FileLock`
AsynchronousFileChannel.`tryLock(long position, long size, boolean shared)`
Attempts to acquire a lock on the given region of this channel's file.
`final FileLock`
FileChannel.`tryLock()`
Attempts to acquire an exclusive lock on this channel's file.
`abstract FileLock`
FileChannel.`tryLock(long position, long size, boolean shared)`
Attempts to acquire a lock on the given region of this channel's file.
Methods in java.nio.channels that return types with arguments of type FileLock
Modifier and Type
Method
Description
`final Future<FileLock>`
AsynchronousFileChannel.`lock()`
Acquires an exclusive lock on this channel's file.
`abstract Future<FileLock>`
AsynchronousFileChannel.`lock(long position, long size, boolean shared)`
Acquires a lock on the given region of this channel's file.
Method parameters in java.nio.channels with type arguments of type FileLock
Modifier and Type
Method
Description
`abstract <A> void`
AsynchronousFileChannel.`lock(long position, long size, boolean shared, A attachment, CompletionHandler<FileLock, ? super A> handler)`
Acquires a lock on the given region of this channel's file.
`final <A> void`
AsynchronousFileChannel.`lock(A attachment, CompletionHandler<FileLock, ? super A> handler)`
Acquires an exclusive lock on this channel's file.